<div class="panel panel-default table-responsive" ng-init="vm.initAppoint()">
	<div class="panel-heading">
		<button type="button" id="btnModalAppoint" class="btn btn-info" data-toggle="modal" data-target="#myModalAppoint" data-ng-click="vm.newAppointments()">Add Appointment</button>
	</div>

	<div class="padding-md clearfix">
		<table class="table table-striped" id="dataTableF">
			<thead>
				<tr>
					<th>User Name</th>
					<th>Appointment Date</th>
					<th>Appointment Time</th>
                    <th>Appointee Name</th>
					<th>General Notes</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody>
				<tr ng-repeat="d in vm.AppointmentsList" id="app_{{d.Id}}">
					<td data-ng-bind="d.UserName"></td>
					<td>  {{ d.AppointmentDate | date :  "dd-MM-yyyy" }}</td>
					<td data-ng-bind="d.AppointmentTime"></td>
          <td data-ng-bind="d.AppointeeName"></td>
					<td data-ng-bind="d.GeneralNotes"></td>
					<td>
						<span class="par-edit par-comm" data-toggle="modal" data-target="#myModalAppoint" ng-click="vm.adminAppotEdit(d.Id)">
							<i class="fa fa-edit fa-lg"></i>
                            <div class="tooltip lp-tooltip edit" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner">Edit</div></div>
						</span>
						<span class="par-delete par-comm" ng-click="vm.Delete(d.Id)">
							<i class="fa fa-trash-o fa-lg"></i>
                            <div class="tooltip lp-tooltip delete" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner">Delete</div></div>
						</span>
					</td>
				</tr>

			</tbody>
		</table>
	</div>
		<!-- /.padding-md -->
</div>


	<!--Form Modal Start-->
  <div class="modal fade" id="myModalAppoint" role="dialog">
    <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" id="btnModalClose">&times;</button>
			<h4 class="modal-title">Appointment</h4>
        </div>
        <div class="modal-body shipment-modal">
		      <form class="rf-form" name="vm.myDataAdminAppoint">


		      	<table class="table table-borderless">
                    <tbody>
                        <tr>
                            <td>Partners:</td>
                            <td>
                            	<select class="form-control" ng-model="vm.appointmentsModel.fkPartnerId" ng-change="vm.getAppFacility()">
                            		<option value="0">Select Partner</option>
                            		<option ng-repeat="pt in vm.partnersList" value="{{pt.Id}}">{{pt.PartnerName}}</option>
                            	</select>
                            	<!-- <select class="selectpicker">
								    <option ng-repeat="x in vm.partnersList">{{x}}</option>
								</select> -->
                            </td>
                        </tr>
                        <tr>
                            <td>Facilities:</td>
                            <td>

                            	<select class="form-control" required ng-model="vm.appointmentsModel.fkFacilityId" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && vm.appointmentsModel.fkFacilityId == '0' }" ng-change="vm.adminAppotUsers(vm.appointmentsModel.fkFacilityId)">
                            		<option value="0">Select Facility</option>
                            		<option ng-repeat="fac in vm.facilitiesList" value="{{fac.Id}}" >{{fac.FacilityName}}</option>
                            	</select>
                            </td>
                        </tr>
                        <tr>
                            <td>Users:</td>

                            <td >
                            	<select class="form-control"  ng-model="vm.appointmentsModel.fkUserId" ng-change="vm.userChange(vm.appointmentsModel.fkUserId)"
                                ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && (!vm.isUserName && !vm.appointmentsModel.UserName) }"
                                ng-required= "!vm.appointmentsModel.UserName">
								    <option value="0">Select User</option>
								    <option ng-repeat="users in vm.appointmentsUser" value="{{users.Id}}">
                                    {{users.FirstName}}
                                    </option>
								</select>
                            </td>
                        </tr>
                        <tr>
                            <td>User Name:</td>
                            <td>
                                <input class="form-control"  type="text" placeholder="User Name" ng-model="vm.appointmentsModel.UserName" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && (!vm.isUserName && !vm.appointmentsModel.AppointeeName) }" ng-required= "!vm.isUserName">
                            </td>
                        </tr>
                        <tr>
                            <td>Date:</td>
                            <td>
                                <!-- <input type="text" uib-datepicker-popup="{{vm.format}}" required ng-model="vm.appointmentsModel.AppointmentDate" class="datepicker form-control" id="appo_date" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && !vm.appointmentsModel.AppointmentDate }"> -->
                                <p class="input-group">
                                      <input type="text" class="form-control" uib-datepicker-popup="{{vm.format}}" is-open="vm.popup1.opened" datepicker-options="vm.dateOptions" close-text="Close" alt-input-formats="vm.altInputFormats" required ng-model="vm.appointmentsModel.AppointmentDate" class="datepicker form-control" id="appo_date" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && !vm.appointmentsModel.AppointmentDate }" ng-click="open1()"/>

                                      <span class="input-group-btn">
                                        <button type="button" class="btn btn-default" ng-click="open1()"><i class="fa fa-calendar" aria-hidden="true"></i></button>
                                      </span>
                                </p>
                            </td>
                        </tr>
                        <tr class="appoint_time">
                            <td>Time:</td>
                            <td  ng-init="hstep = '1'; mstep = '5'">
                            <!-- <input class="form-control" type="text" required ng-model="vm.appointmentsModel.AppointmentTime" placeholder="Time" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && !vm.appointmentsModel.AppointmentTime }"> -->

                               <select class="form-control" ng-model="vm.appointmentsModel.AppointmentTime" required required="true" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && !vm.appointmentsModel.AppointmentTime }" >
                                        <option value="">Time</option>
                                        <option value ="{{hr}}" ng-repeat="(skey, hr) in vm.housrList">{{hr}}</option>
                                    </select>
<!--
                                <div uib-timepicker required ng-model="vm.mytime" ng-change="changed()" hour-step="hstep" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && !vm.mytime }" minute-step="mstep"></div> -->
                            </td>
                        </tr>
                        <tr>
                            <td>Appointee:</td>
                            <td><input class="form-control" type="text" required ng-model="vm.appointmentsModel.AppointeeName" placeholder="Appointee" ng-class="{ 'has-error' :vm.myDataAdminAppoint.submitted && !vm.appointmentsModel.AppointeeName }"></td>
                        </tr>
                        <tr>
                            <td>General Notes:</td>
                            <td>
                            	<textarea class="form-control" ng-model="vm.appointmentsModel.GeneralNotes" placeholer="Message"></textarea>
                            </td>
                        </tr>
                    </tbody>
                </table>
            <!-- <input type="submit" value="Submit" class="rf-sub btn btn-success" ng-click="vm.createAdminApointment()" ng-disabled="vm.myDataAdminAppoint.$invalid"/> -->
            <input type="submit" value="Submit" class="rf-sub btn btn-success" ng-click="vm.createAdminApointment()" />
        </form>
        </div>
		<div class="clearfix"></div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" id="adminAppotClose" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
<!--Form Modal end-->

<script>
$(function () {
    setTimeout(function(){
        $('#dataTableF').dataTable({
            "bJQueryUI": true,
            "sPaginationType": "full_numbers"
        });
    }, 1000);
});
</script>
